﻿using System;
using System.Text;

namespace Palmmedia.GoogleSync.Common
{
    /// <summary>
    /// Various extionsion methods.
    /// </summary>
    internal static class Extensions
    {
        /// <summary>
        /// Gets the full exception message of all inner exceptions.
        /// </summary>
        /// <param name="exception">The exception.</param>
        /// <returns>The full exception message.</returns>
        public static string GetFullMessage(this Exception exception)
        {
            var sb = new StringBuilder();
            var innerException = exception.InnerException;

            while (innerException != null)
            {
                sb.AppendLine(innerException.Message);
                innerException = innerException.InnerException;
            }

            return sb.ToString();
        }
    }
}
