﻿using Google.Contacts;

namespace Palmmedia.GoogleSync.Synchronization
{
    /// <summary>
    /// Contains an <see cref="Google.Contacts.Contact"/> and the corresponding photo.
    /// </summary>
    internal class ContactWrapper
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ContactWrapper"/> class.
        /// </summary>
        /// <param name="contact">The contact.</param>
        /// <param name="photo">The photo.</param>
        public ContactWrapper(Contact contact, byte[] photo)
        {
            this.Contact = contact;
            this.Photo = photo;
        }

        /// <summary>
        /// Gets the contact.
        /// </summary>
        public Contact Contact { get; private set; }

        /// <summary>
        /// Gets the photo.
        /// </summary>
        public byte[] Photo { get; private set; }
    }
}
